=== debian/changelog ===
gr-gsm (1.0.0~20220727-2) unstable; urgency=medium

  * Team upload

  [ Kentaro Hayashi ]
  * Use "GNU Radio" wording

  [ Santiago Vila ]
  * debian/rules: Use --no-parallel globally. Closes: #1037682.

  [ tony mancill ]
  * Update B-D on pkg-config to pkgconf
  * Add B-D on python3-numpy-dev to provide dh-sequence-numpy3
  * Bump Standards-Version to 4.7.2 (no changes)

 -- tony mancill <tmancill@debian.org>  Fri, 03 Oct 2025 08:39:14 -0700

gr-gsm (1.0.0~20220727-1) unstable; urgency=medium

  * New upstream branch to build with gnuradio 3.10 (Closes: #1002113)
    https://github.com/bkerler/gr-gsm/tree/maint-3.10_with_multiarfcn
  * Bump Standards-Version to 4.6.1 (no changes)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 21 Sep 2022 23:27:12 -0400

gr-gsm (0.42.2.20200214-2) UNRELEASED; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Daniele Forsi ]
  * Adapt d/patches/1020-reproducible-build.patch to Python 3

 -- Debian Janitor <janitor@jelmer.uk>  Mon, 27 Jul 2020 08:26:49 -0000
