=== debian/control ===
Source: gr-gsm
Section: libdevel
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               doxygen,
               python3-docutils,
               gnuradio-dev,
               libosmocore-dev,
               gr-osmosdr,
               pkgconf,
               python3-dev,
	       python3-matplotlib,
	       python3-numpy,
               python3-numpy-dev,
               python3-scipy,
	       python3-six,
               libcppunit-dev
X-Python-Version: >= 3.0, << 4.0
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://git.osmocom.org/gr-gsm
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-gsm.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-gsm

Package: gr-gsm
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         libjs-jquery,
         gnuradio,
         gr-osmosdr
Description: GNU Radio blocks and tools for receiving GSM transmissions
 Implementation of the Global System for Mobile Communications
 protocol and provide tools for scanning for GSM base stations and for
 decoding GSM radio trafic.
